<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
BigDecimalOperations
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.ops.BigDecimalOperations class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BigDecimalOperations";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigDecimalOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/BigFractionOperations.html" title="class in ch.javasoft.math.ops"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/ops/BigDecimalOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigDecimalOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.ops</FONT>
<BR>
Class BigDecimalOperations</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">ch.javasoft.math.ops.AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.ops.BigDecimalOperations</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.52"><B>BigDecimalOperations</B></A><DT>extends <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</DL>
</PRE>

<P>
<A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>Number operations</CODE></A> for <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math"><CODE>BigDecimal</CODE></A> numbers.
 The instantiation of a <code>BigDecimalOperations</code> requires a 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html" title="class or interface in java.math"><CODE>MathContext</CODE></A> which defines rounding.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#BigDecimalOperations(int)">BigDecimalOperations</A></B>(int&nbsp;setPrecision)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new <code>BigDecimalOperations</code> with the specified
 precision and the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html#HALF_UP" title="class or interface in java.math"><CODE>HALF_UP</CODE></A> rounding
 mode.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#BigDecimalOperations(java.math.MathContext)">BigDecimalOperations</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html" title="class or interface in java.math">MathContext</A>&nbsp;mathContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for <code>BigDecimalOperations</code> with specified math
 context defining rounding</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#BigDecimalOperations(java.lang.String)">BigDecimalOperations</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;contextVal)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a new <code>BigDecimalOperations</code> with <code>MathContext</code> 
 from a string.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#abs(java.math.BigDecimal)">abs</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the absolute value of the given number, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#add(java.math.BigDecimal, java.math.BigDecimal)">add</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the sum of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#byteLength()">byteLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the byte array length if <A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)"><CODE>NumberOperations.toByteArray(Number)</CODE></A> is used and if
 this size is fixed, and -1 if the size may vary depending on the number
 instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#compare(java.math.BigDecimal, java.math.BigDecimal)">compare</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;o1,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;o2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#divide(java.math.BigDecimal, java.math.BigDecimal)">divide</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the ratio of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#fromByteArray(byte[])">fromByteArray</A></B>(byte[]&nbsp;bytes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts the byte array containing binary data into a new number instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html" title="class or interface in java.math">MathContext</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#getMathContext()">getMathContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the math context defined when instantiating this 
 <code>BigDecimalOperations</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#invert(java.math.BigDecimal)">invert</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the inverted value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#isOne(java.math.BigDecimal)">isOne</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this value is numerically equal to one, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#multiply(java.math.BigDecimal, java.math.BigDecimal)">multiply</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the product of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#negate(java.math.BigDecimal)">negate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the negated value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#newArray(int)">newArray</A></B>(int&nbsp;size)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new array of the underlying number type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#newArray(int, int)">newArray</A></B>(int&nbsp;rows,
                 int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new 2 dimensional array of the underlying number type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#numberClass()">numberClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The class representing numbers of this number operations instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#one()">one</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value representing one</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#pow(java.math.BigDecimal, java.math.BigDecimal)">pow</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the powered value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#readFrom(java.io.DataInput)">readFrom</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataInput.html" title="class or interface in java.io">DataInput</A>&nbsp;in)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads binary data from the given data input.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#reduce(java.math.BigDecimal)">reduce</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the rounded number according to the current 
 <A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#getMathContext()"><CODE>math context</CODE></A>, that is, 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html#round(java.math.MathContext)" title="class or interface in java.math"><CODE>BigDecimal.round(MathContext)</CODE></A> is called</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#reduceVector(boolean, java.math.BigDecimal...)">reduceVector</A></B>(boolean&nbsp;cloneOnChange,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>...&nbsp;vector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the unchanged vector</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#signum(java.math.BigDecimal)">signum</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns signum of the value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#subtract(java.math.BigDecimal, java.math.BigDecimal)">subtract</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the difference of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;byte[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#toByteArray(java.math.BigDecimal)">toByteArray</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this number to binary data and returns it as a byte array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#valueOf(double)">valueOf</A></B>(double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 submitted double value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#valueOf(long)">valueOf</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 submitted long integer value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#valueOf(java.lang.Number)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 submitted number</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#valueOf(java.lang.String)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 given string representation of the number</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#writeTo(java.math.BigDecimal, java.io.DataOutput)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this number to binary data and writes it to the data output.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#zero()">zero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value representing zero</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.math.ops.AbstractNumberOps"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.math.ops.<A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNegative(N)">isNegative</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNonNegative(N)">isNonNegative</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNonPositive(N)">isNonPositive</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNonZero(N)">isNonZero</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isPositive(N)">isPositive</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isZero(N)">isZero</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#max(N...)">max</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#max(N, N)">max</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#min(N...)">min</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#min(N, N)">min</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Comparator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BigDecimalOperations(java.math.MathContext)"><!-- --></A><H3>
BigDecimalOperations</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.60"><B>BigDecimalOperations</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html" title="class or interface in java.math">MathContext</A>&nbsp;mathContext)</PRE>
<DL>
<DD>Constructor for <code>BigDecimalOperations</code> with specified math
 context defining rounding
<P>
</DL>
<HR>

<A NAME="BigDecimalOperations(int)"><!-- --></A><H3>
BigDecimalOperations</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.72"><B>BigDecimalOperations</B></A>(int&nbsp;setPrecision)</PRE>
<DL>
<DD>Constructs a new <code>BigDecimalOperations</code> with the specified
 precision and the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html#HALF_UP" title="class or interface in java.math"><CODE>HALF_UP</CODE></A> rounding
 mode.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>setPrecision</CODE> - The non-negative <code>int</code> precision setting.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if the <code>setPrecision</code> parameter is 
                        less than zero.</DL>
</DL>
<HR>

<A NAME="BigDecimalOperations(java.lang.String)"><!-- --></A><H3>
BigDecimalOperations</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.91"><B>BigDecimalOperations</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;contextVal)</PRE>
<DL>
<DD>Constructs a new <code>BigDecimalOperations</code> with <code>MathContext</code> 
 from a string.

 The string must be in the same format as that produced by the
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html#toString()" title="class or interface in java.math"><CODE>MathContext.toString()</CODE></A> method.
 
 <p>An <code>IllegalArgumentException</code> is thrown if the precision
 section of the string is out of range (<code>&lt; 0</code>) or the string is
 not in the format created by the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang"><CODE>Object.toString()</CODE></A> method.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>contextVal</CODE> - The string to be parsed
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if the precision section is out of range
 or of incorrect format
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the argument is <code>null</code></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getMathContext()"><!-- --></A><H3>
getMathContext</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html" title="class or interface in java.math">MathContext</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.99"><B>getMathContext</B></A>()</PRE>
<DL>
<DD>Returns the math context defined when instantiating this 
 <code>BigDecimalOperations</code>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="numberClass()"><!-- --></A><H3>
numberClass</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.103"><B>numberClass</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#numberClass()">NumberOperations</A></CODE></B></DD>
<DD>The class representing numbers of this number operations instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newArray(int)"><!-- --></A><H3>
newArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>[] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.106"><B>newArray</B></A>(int&nbsp;size)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#newArray(int)">NumberOperations</A></CODE></B></DD>
<DD>Create a new array of the underlying number type
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newArray(int, int)"><!-- --></A><H3>
newArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>[][] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.109"><B>newArray</B></A>(int&nbsp;rows,
                               int&nbsp;cols)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#newArray(int, int)">NumberOperations</A></CODE></B></DD>
<DD>Create a new 2 dimensional array of the underlying number type
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.String)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.112"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(java.lang.String)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 given string representation of the number
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.Number)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.115"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(java.lang.Number)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 submitted number
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(long)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.133"><B>valueOf</B></A>(long&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(long)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 submitted long integer value
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(double)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.136"><B>valueOf</B></A>(double&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(double)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 submitted double value
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="abs(java.math.BigDecimal)"><!-- --></A><H3>
abs</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.140"><B>abs</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#abs(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the absolute value of the given number, i.e. a non-negative
 value <tt>abs(number)</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#abs(N)">abs</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#abs(N)">abs</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.math.BigDecimal, java.math.BigDecimal)"><!-- --></A><H3>
add</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.143"><B>add</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#add(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the sum of the two values, i.e. <tt>numA + numB</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="divide(java.math.BigDecimal, java.math.BigDecimal)"><!-- --></A><H3>
divide</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.146"><B>divide</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#divide(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the ratio of the two values, i.e. <tt>numA / numB</tt>.
 <p>
 For integer types, an integer division is performed, ignoring possible
 remainders
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="invert(java.math.BigDecimal)"><!-- --></A><H3>
invert</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.150"><B>invert</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#invert(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the inverted value, i.e. <tt>1 / number</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#invert(N)">invert</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#invert(N)">invert</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isOne(java.math.BigDecimal)"><!-- --></A><H3>
isOne</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.154"><B>isOne</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#isOne(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns true if this value is numerically equal to one, i.e. <tt>number == 1</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#isOne(N)">isOne</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isOne(N)">isOne</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="multiply(java.math.BigDecimal, java.math.BigDecimal)"><!-- --></A><H3>
multiply</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.157"><B>multiply</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#multiply(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the product of the two values, i.e. <tt>numA * numB</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="negate(java.math.BigDecimal)"><!-- --></A><H3>
negate</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.160"><B>negate</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#negate(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the negated value, i.e. <tt>-number</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="one()"><!-- --></A><H3>
one</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.163"><B>one</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#one()">NumberOperations</A></CODE></B></DD>
<DD>Returns the value representing one
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subtract(java.math.BigDecimal, java.math.BigDecimal)"><!-- --></A><H3>
subtract</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.166"><B>subtract</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#subtract(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the difference of the two values, i.e. <tt>numA - numB</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="zero()"><!-- --></A><H3>
zero</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.169"><B>zero</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#zero()">NumberOperations</A></CODE></B></DD>
<DD>Returns the value representing zero
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="compare(java.math.BigDecimal, java.math.BigDecimal)"><!-- --></A><H3>
compare</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.172"><B>compare</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;o1,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;o2)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="reduce(java.math.BigDecimal)"><!-- --></A><H3>
reduce</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.180"><B>reduce</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</PRE>
<DL>
<DD>Returns the rounded number according to the current 
 <A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#getMathContext()"><CODE>math context</CODE></A>, that is, 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html#round(java.math.MathContext)" title="class or interface in java.math"><CODE>BigDecimal.round(MathContext)</CODE></A> is called
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="reduceVector(boolean, java.math.BigDecimal...)"><!-- --></A><H3>
reduceVector</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>[] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.186"><B>reduceVector</B></A>(boolean&nbsp;cloneOnChange,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>...&nbsp;vector)</PRE>
<DL>
<DD>Returns the unchanged vector
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cloneOnChange</CODE> - if a reduction can be made, the array is cloned 
                                                and the original array is not changed. If no 
                                                reduction can be made, or if <tt>cloneOnChange</tt>
                                                is false, the original array will be returned,
                                                unmodified in the former case, and with reduced
                                                values in the latter case.<DD><CODE>vector</CODE> - the vector to reduce</DL>
</DD>
</DL>
<HR>

<A NAME="signum(java.math.BigDecimal)"><!-- --></A><H3>
signum</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.189"><B>signum</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#signum(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns signum of the value, i.e. -1, 0, 1 for negative, zero or positive values
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="pow(java.math.BigDecimal, java.math.BigDecimal)"><!-- --></A><H3>
pow</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.192"><B>pow</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numA,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#pow(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the powered value, i.e. <tt>numA<sup>numB</sup></tt>.
 Negative exponents are allowed, also for integer types, without causing
 an exception. E.g. 3^-1 yields 0.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toByteArray(java.math.BigDecimal)"><!-- --></A><H3>
toByteArray</H3>
<PRE>
public byte[] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.216"><B>toByteArray</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)">NumberOperations</A></CODE></B></DD>
<DD>Converts this number to binary data and returns it as a byte array. 
 Back-conversion is possible using the <A HREF="../../../../ch/javasoft/math/NumberOperations.html#fromByteArray(byte[])"><CODE>NumberOperations.fromByteArray(byte[])</CODE></A> method.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeTo(java.math.BigDecimal, java.io.DataOutput)"><!-- --></A><H3>
writeTo</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.228"><B>writeTo</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;number,
                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)
             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#writeTo(N, java.io.DataOutput)">NumberOperations</A></CODE></B></DD>
<DD>Converts this number to binary data and writes it to the data output.
 The counterpart of this method reading binary data is 
 <A HREF="../../../../ch/javasoft/math/NumberOperations.html#readFrom(java.io.DataInput)"><CODE>NumberOperations.readFrom(DataInput)</CODE></A>.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="fromByteArray(byte[])"><!-- --></A><H3>
fromByteArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.242"><B>fromByteArray</B></A>(byte[]&nbsp;bytes)</PRE>
<DL>
<DD>Converts the byte array containing binary data into a new number instance. 
 Forward-conversion is possible using the <A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)"><CODE>NumberOperations.toByteArray(Number)</CODE></A> method.
 
 <p>
 Returns the value as stored, without applying rounding according to the
 <A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#getMathContext()"><CODE>math context</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="readFrom(java.io.DataInput)"><!-- --></A><H3>
readFrom</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.260"><B>readFrom</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataInput.html" title="class or interface in java.io">DataInput</A>&nbsp;in)
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Reads binary data from the given data input. Binary data is converted and
 a new number instance is returned. The counterpart of this method writing
 binary data is <A HREF="../../../../ch/javasoft/math/NumberOperations.html#writeTo(N, java.io.DataOutput)"><CODE>NumberOperations.writeTo(Number, DataOutput)</CODE></A>
 
 <p>
 Returns the value as stored, without applying rounding according to the
 <A HREF="../../../../ch/javasoft/math/ops/BigDecimalOperations.html#getMathContext()"><CODE>math context</CODE></A>.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="byteLength()"><!-- --></A><H3>
byteLength</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/math/ops/BigDecimalOperations.html#line.268"><B>byteLength</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#byteLength()">NumberOperations</A></CODE></B></DD>
<DD>Returns the byte array length if <A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)"><CODE>NumberOperations.toByteArray(Number)</CODE></A> is used and if
 this size is fixed, and -1 if the size may vary depending on the number
 instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigDecimalOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/BigFractionOperations.html" title="class in ch.javasoft.math.ops"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/ops/BigDecimalOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigDecimalOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
